Ruby 1.8 - Bug #613

segmentetion fault by Marshal.dump
10/01/2008 04:13 PM - znz (Kazuhiro NISHIYAMA)

Status: Closed

Priority: Normal

Assignee: nobu (Nobuyoshi Nakada)
Target version:

ruby -v:

Description
=begin

I][II][II][II]
Marshal.dumpl20001000000000000

% ruby18 -ve 'Marshal.dump(nil, open("/dev/null", "wb"))'
ruby 1.8.7 (2008-09-27 revision 19596) [i686-linux]

-e:1: [BUG] Segmentation fault

ruby 1.8.7 (2008-09-27 revision 19596) [i686-linux]

%

check_dump_argllarg->wrapperINULLOOO0000000
DDDDDDDDDDDDDDDDDDDDDD

Index: marshal.c

- marshal.c(00000 19651)
+++ marshal.c(10000)
@@ -761,7 +761,7 @@

{
VALUE obj, port, a1, a2;
int limit = -1;

e struct dump_arg arg;

e struct dump_arg arg = {0};
struct dump_call_arg c_arg;
port = Qnil;

1znz000 00 000)
\0000(Kazuhiro NISHIYAMA)
=end

History

#1 - 10/01/2008 04:35 PM - znz (Kazuhiro NISHIYAMA)

- Assignee set to nobu (Nobuyoshi Nakada)

=begin

=end

#2 - 10/01/2008 07:07 PM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed
- % Done changed from 0 to 100

=begin
Applied in changeset r19652.
=end
